Bug 135091 - Can't do DNS request in the %post section if the machine uses DHCP
Can't do DNS request in the %post section if the machine uses DHCP
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
FC4
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-08 11:50 EDT by Xavier Bachelot
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 21:44:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2004-10-08 11:50:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
I'm doing a kickstart install over network, in interactive mode.
The resulting machine is set up to use DHCP.
The install goes well, but the post-install part fails.

When outside the chroot, the resolv.conf is ok, it does contains
'search' and 'nameserver' entries. But when inside the chroot, thus
where my post-install script is running, the resolv.conf only contains
the 'search' entry, and thus all DNS request are failing and therefore
the post-install script does not run properly.

if workarounded that by adding this at the very beginning of the %post
section :
echo "nameserver ip_of_my_name_server" >> /etc/resolv.conf

Version-Release number of selected component (if applicable):
anaconda-10.0-5

How reproducible:
Always

Steps to Reproduce:
1. do a kickstart install over the network, with the resulting machine
set to use DHCP
2. run a chroot'ed post install script that is supposed to do DNS
request (e.g. yum -y update)
3. 
    

Actual Results:  chroot'ed post-install script is not able to perform
DNS request

Expected Results:  chroot'ed post-install script is able to perform
DNS request

Additional info:

Note You need to log in before you can comment on or make changes to this bug.